HPASMD_PID=/var/run/hpasmd.pid;

case $1 in
start)
	echo "Starting hpasmd"
	
	ps ax | grep -i hpasmd | grep -v grep > /dev/null
	if [ $? = 0 ]; then
		echo "ERROR: hpasmd appears to already be running." 
		echo "Please shut it down before restarting."
		echo ""
		echo "Note: hpasmd may take a few minutes to either startup"
		echo "or shutdown"
		exit 1
	fi
	/usr/sbin/hpasmd &
	sleep 3
	;;
stop)
	echo "Stopping hpasmd"
	if [ -f $HPASMD_PID ]; then
		kill -TERM  `head -1 $HPASMD_PID` 2> /dev/null
	fi
	ps ax | grep -i hpasmcli | grep -v grep > /dev/null
	if [ $? = 0 ]; then
		echo "hpasmcli was found running, now shutting down"
		killall -KILL hpasmcli 2> /dev/null
	fi
	sleep 2
	killall -KILL hpasmd 2> /dev/null
	;;
status)
	echo -n "hpasmd is currently "
	if [ -f $HPASMD_PID ]; then
		echo "started."
	else 
		ps ax | grep -i hpasmd | grep -v grep > /dev/null
		if [ $? = 0 ]; then
			echo "starting up."
		else
			echo "stopped."
		fi
	fi
	;;
*)
	echo "usage: hpasm.sh [ start | stop | status ]"

esac
